summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--app-misc/rbutil/files/0001-imxtools-sbtools-fix-compilation-with-gcc-10.patch27
-rw-r--r--app-misc/rbutil/files/rbutil-1.4.1-quazip.patch12
-rw-r--r--app-misc/rbutil/rbutil-1.4.1.ebuild14
3 files changed, 45 insertions, 8 deletions
diff --git a/app-misc/rbutil/files/0001-imxtools-sbtools-fix-compilation-with-gcc-10.patch b/app-misc/rbutil/files/0001-imxtools-sbtools-fix-compilation-with-gcc-10.patch
new file mode 100644
index 00000000000..3ff18f2afcf
--- /dev/null
+++ b/app-misc/rbutil/files/0001-imxtools-sbtools-fix-compilation-with-gcc-10.patch
@@ -0,0 +1,27 @@
+From 141c9c218c31dfd6f4f9e47f25cc2764d2bb4b63 Mon Sep 17 00:00:00 2001
+From: Martin Hauke <mardnh@gmx.de>
+Date: Sat, 13 Jun 2020 19:11:15 +0200
+Subject: [PATCH] imxtools/sbtools: fix compilation with gcc 10
+
+---
+ utils/imxtools/sbtools/misc.h | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/utils/imxtools/sbtools/misc.h b/utils/imxtools/sbtools/misc.h
+index f803fbb..5c6b2fc 100644
+--- a/utils/imxtools/sbtools/misc.h
++++ b/utils/imxtools/sbtools/misc.h
+@@ -40,8 +40,8 @@ extern bool g_debug;
+ extern bool g_force;
+
+ typedef struct crypto_key_t *key_array_t;
+-int g_nr_keys;
+-key_array_t g_key_array;
++extern int g_nr_keys;
++extern key_array_t g_key_array;
+
+ typedef void (*misc_printf_t)(void *user, const char *fmt, ...);
+
+--
+2.26.2
+
diff --git a/app-misc/rbutil/files/rbutil-1.4.1-quazip.patch b/app-misc/rbutil/files/rbutil-1.4.1-quazip.patch
index 596127c3406..2feabb77136 100644
--- a/app-misc/rbutil/files/rbutil-1.4.1-quazip.patch
+++ b/app-misc/rbutil/files/rbutil-1.4.1-quazip.patch
@@ -4,8 +4,8 @@ http://gerrit.rockbox.org/1825
-- Chewi
diff -Naur a/base/ziputil.cpp b/base/ziputil.cpp
---- a/base/ziputil.cpp 2019-11-10 06:45:49.000000000 +0000
-+++ b/base/ziputil.cpp 2019-12-04 22:38:34.443112450 +0000
+--- a/rbutil/rbutilqt/base/ziputil.cpp 2019-11-10 06:45:49.000000000 +0000
++++ b/rbutil/rbutilqt/base/ziputil.cpp 2019-12-04 22:38:34.443112450 +0000
@@ -22,9 +22,9 @@
#include "progressloggerinterface.h"
#include "Logger.h"
@@ -20,8 +20,8 @@ diff -Naur a/base/ziputil.cpp b/base/ziputil.cpp
ZipUtil::ZipUtil(QObject* parent) : ArchiveUtil(parent)
diff -Naur a/base/ziputil.h b/base/ziputil.h
---- a/base/ziputil.h 2019-11-10 06:45:49.000000000 +0000
-+++ b/base/ziputil.h 2019-12-04 22:38:34.443112450 +0000
+--- a/rbutil/rbutilqt/base/ziputil.h 2019-11-10 06:45:49.000000000 +0000
++++ b/rbutil/rbutilqt/base/ziputil.h 2019-12-04 22:38:34.443112450 +0000
@@ -21,9 +21,9 @@
#include <QtCore>
@@ -36,8 +36,8 @@ diff -Naur a/base/ziputil.h b/base/ziputil.h
class ZipUtil : public ArchiveUtil
{
diff -Naur a/rbutilqt.pro b/rbutilqt.pro
---- a/rbutilqt.pro 2019-11-10 06:45:50.000000000 +0000
-+++ b/rbutilqt.pro 2019-12-04 22:43:30.144259710 +0000
+--- a/rbutil/rbutilqt/rbutilqt.pro 2019-11-10 06:45:50.000000000 +0000
++++ b/rbutil/rbutilqt/rbutilqt.pro 2019-12-04 22:43:30.144259710 +0000
@@ -131,7 +131,7 @@
DEPENDPATH = $$INCLUDEPATH
diff --git a/app-misc/rbutil/rbutil-1.4.1.ebuild b/app-misc/rbutil/rbutil-1.4.1.ebuild
index 3ba0000d120..f558a5e9dd9 100644
--- a/app-misc/rbutil/rbutil-1.4.1.ebuild
+++ b/app-misc/rbutil/rbutil-1.4.1.ebuild
@@ -28,18 +28,22 @@ RDEPEND="
DEPEND="${RDEPEND}"
BDEPEND="dev-qt/linguist-tools:5"
-S="${WORKDIR}/RockboxUtility-v${PV}/${PN}/${PN}qt"
+S="${WORKDIR}/RockboxUtility-v${PV}"
+QTDIR="${PN}/${PN}qt"
PATCHES=(
"${FILESDIR}"/${PN}-1.4.1-quazip.patch
+ "${FILESDIR}"/0001-imxtools-sbtools-fix-compilation-with-gcc-10.patch
)
src_prepare() {
xdg_src_prepare
- rm -rv quazip/ zlib/ || die
+ rm -rv "${QTDIR}"/{quazip,zlib}/ || die
}
src_configure() {
+ cd "${QTDIR}" || die
+
# Generate binary translations.
"$(qt5_get_bindir)"/lrelease ${PN}qt.pro || die
@@ -47,7 +51,13 @@ src_configure() {
eqmake5 CONFIG+="noccache $(use debug && echo dbg)"
}
+src_compile() {
+ emake -C "${QTDIR}"
+}
+
src_install() {
+ cd "${QTDIR}" || die
+
local icon size
for icon in icons/rockbox-*.png; do
size=${icon##*-}